Create an Appointment
POST /businesses/{businessId}/appointments
Create an Appointment within a Business
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Business ID
Query Parameters
Section titled “Query Parameters ”If true, the appointment will be created even if the staff is busy
Request Body required
Section titled “Request Body required ”Appointment data
object
Date and time of the appointment.
Patient ID to book the appointment for.
ID of the service to book the appointment for.
Service duration in minutes
ID of the staff member to book the appointment with. If not provided, the least busy staff member for the service will be assigned.
Timezone of the client. If not provided, the business timezone will be used.
Location of the appointment. Can be a physical address or a URL.
Example
https://telehealth.upvio.com/session/fc92e2ce-e6d1-443f-aaf0-eae4820485c0Responses
Section titled “ Responses ”Created appointment
object
A booked time slot between Staff(s), Patient, and potential resources.
object
Unique identifier across the platform.
Time when the resource was created (ISO 8601 format).
Time when the resource was created (ISO 8601 format).
Embedded service details
object
Unique identifier across the platform.
The name of the service.
The unique alias of the service.
Embedded staff member details
object
Unique identifier across the platform.
The full name of the Staff member.
The email address of the Staff member.
Embedded patient details
object
Unique identifier across the platform.
The full name of the patient.
The email address of the patient.
Embedded location details
object
Unique identifier across the platform.
The name of the location.
The address of the location.
Staff ID
Staff ID
The full name of the Staff member.
Example
John DoeAn optional list of extra Staff IDs for group bookings.
Staff ID
The start time of the appointment in UTC format.
The date of the appointment before any rescheduling.
How long the appointment lasts for.
The price of the appointment at the time of booking.
The ISO 4217 currency code.
Example
usdStaff ID
Show whether or not this appointment has been cancelled.
Show whether or not this appointment has been approved.
The timezone of the patient.
Example
Europe/LondonThe type of location for the appointment.
Example
meetThe value of the location for the appointment.
Example
https://meet.google.com/abc-defg-hijThe payment provider used for the appointment.
Example
stripeThe payment ID for the appointment.
The answers to the questions asked during booking.
object
The unique ID for the question
The unique variable name assigned to ths question
The question asked during booking
The answer given during booking
The ID of the recurring appointment this appointment belongs to.
The rrule string if appointment is recurring.
Example
FREQ=WEEKLY;BYDAY=MO,WE,FR;INTERVAL=1;COUNT=10The recurrence object if appointment is recurring.
object
The reschedule URL for the appointment.
Example
https://forms.upvio.com/acme/appointments/9222ea2b-34a4-477f-9568-35f7ee222f0c/reschedule?token=a9b0ca6781ca47bf80f97bdea29b0862The reschedule URL for the appointment.
Example
https://forms.upvio.com/acme/appointments/9222ea2b-34a4-477f-9568-35f7ee222f0c/cancel?token=a9b0ca6781ca47bf80f97bdea29b0862A list of tags associated with the appointment.